#! /usr/bin/env python
import numpy as np
import matplotlib.pyplot as plt

import tbplas as tb


cell = tb.wan2pc("inse", hop_eng_cutoff=0.0)
k_points = np.array([
    [0.0, 0.0, 0.0],
    [2./3, 1./3, 0.0],
    [1./2, 0.0, 0.0],
    [0.0, 0.0, 0.0],
])
k_path, k_idx = tb.gen_kpath(k_points, [40, 40, 40])
k_len, bands = tb.calc_bands(cell, k_path)

num_bands = bands.shape[1]
for i in range(num_bands):
    plt.plot(k_len, bands[:, i], color="red", linewidth=1.0)
plt.show()
